# $Revision: 1.46 $, $Date: 2008/07/27 22:15:17 $
%define		major 8.4
Summary:	Many metawidgets (such as notepads) for Tk
Summary(de.UTF-8):	Zahlreiche Metawidgets (wie etwa Notepads) für Tk
Summary(fr.UTF-8):	Nombreux meta-widgets (comme les bloc-notes) pour Tk
Summary(pl.UTF-8):	Wiele widgetów (takich jak notepad) dla Tk
Summary(tr.UTF-8):	Tk için ek arayüz elemanları (not defterleri v.b.)
Name:		tix
Version:	%{major}.0
Release:	2
Epoch:		1
License:	BSD
Group:		Development/Languages/Tcl
Source0:	http://dl.sourceforge.net/tix/%{name}-%{version}.tar.gz
# Source0-md5:	7fcd84a1a6e27e432cb07284b7a34317
Patch0:		%{name}-scriptpaths.patch
Patch1:		%{name}-tcl85_hack.patch
URL:		http://tix.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.6
BuildRequires:	tk-devel >= 8.4.6
BuildRequires:	which
BuildRequires:	xorg-lib-libX11-devel
Requires:	tcl >= 8.4.6
Requires:	tk >= 8.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tix is a add on for the Tk widget set which adds many complex widgets
which are built from Tk building blocks. The extra widgets include
combo box, file selection, notebooks, paned windows, spin controls,
and hierarchical list boxes.

%description -l de.UTF-8
Tix ist ein Zusatzprogramm für den 'Tk widget set', das viele komplexe
Widgets hinzufügt, die aus Tk-Bausteinen bestehen, z.B.
Kombinationsfelder, Dateiauswahl, Notizblöcke, überlappende Fenster,
Drehknöpfe und hierarchische Listenfelder.

%description -l fr.UTF-8
tix est un ajout à l'ensemble des widgets Tk qui apporte de nombreux
widgets complexes construits à partir des briques de Tk. Les widgets
supplémentaires incluent les combo box, la sélection de fichiers, les
notebooks, les fenêtres « paned » et les listes hiérarchisées.

%description -l pl.UTF-8
Tix jest dodatkiem dla Tk, zawierającym wiele interesujących widgetów.

%description -l tr.UTF-8
Tix, Tk yapıtaşları kullanılarak oluşturulmuş bir çok karmaşık arayüz
elemanı bulunduran bir eklemedir. Bu yeni elemanlar arasında çoktan
seçmeli kutular, dosya seçim kutuları, not defterleri, çok kısımlı
pencereler yer almaktadır.

%package devel
Summary:	Tix development documentation
Summary(pl.UTF-8):	Dokumentacja programisty do rozszerzenia Tix
Group:		Development/Languages/Tcl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Tix development documentation.

%description devel -l pl.UTF-8
Dokumentacja programisty do rozszerzenia Tix.

%package demo
Summary:	Tix - demo programs
Summary(pl.UTF-8):	Tix - programy demostracjne
Group:		Development/Languages/Tcl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description demo
Tix - demo programs.

%description demo -l pl.UTF-8
Tix - programy demostracjne.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal} -I tclconfig
%{__autoconf}
%configure \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/mann
install man/*.n $RPM_BUILD_ROOT%{_mandir}/mann

cp -af demos $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

rm -f $RPM_BUILD_ROOT%{_libdir}/Tix%{major}/bitmaps/mktransgif.tcl*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ABOUT.html ChangeLog README.txt index.html license.terms docs/FAQ.html
%dir %{_libdir}/Tix%{major}
%attr(755,root,root) %{_libdir}/Tix%{major}/libTix%{major}.so
%{_libdir}/Tix%{major}/*.tcl
%{_libdir}/Tix%{major}/bitmaps
%{_libdir}/Tix%{major}/pref

%files devel
%defattr(644,root,root,755)
%doc docs/*.txt docs/{pdf,tix-book}
%{_mandir}/mann/*

%files demo
%defattr(644,root,root,755)
%dir %{_examplesdir}/%{name}-%{version}
%dir %{_examplesdir}/%{name}-%{version}/demos
%{_examplesdir}/%{name}-%{version}/demos/Mk*.tcl
%{_examplesdir}/%{name}-%{version}/demos/bitmaps
%{_examplesdir}/%{name}-%{version}/demos/samples
%{_examplesdir}/%{name}-%{version}/demos/tclIndex
%{_examplesdir}/%{name}-%{version}/demos/widget
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/demos/tixwidgets.tcl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tix.spec,v $
Revision 1.46  2008/07/27 22:15:17  arekm
- release 2

Revision 1.45  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.44  2007/03/31 19:04:38  qboosh
- sorted BRs

Revision 1.43  2007/03/25 15:31:54  tommat
- modular xorg

Revision 1.42  2007/03/25 14:38:03  tommat
- removed tcl-shell-quotes.patch, according to patch changelog it's obsolete
  now.

Revision 1.41  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.39  2006/01/04 17:37:39  qrczak
- tcl-shell-quotes.patch: fixed unbalanced shell quotes which confuse
  zsh at configure time (the same patch as for tcl).

Revision 1.38  2005/12/10 16:32:41  qboosh
- updated to 8.4.0 (plain tcl/tk extension now, no system libs or special interpreter)
- removed outdated fhs,autoconf,soname patches

Revision 1.37  2005/04/21 13:25:28  mmazur
- rel 9; builds with tcl8.5

Revision 1.36  2004/10/31 15:32:14  paladine
- spaces->tabs

Revision 1.35  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.34  2004/09/25 11:20:55  radek
- cosmetics (spaces -> tabs)

Revision 1.33  2004/03/07 11:48:59  qboosh
- updated soname patch for new tcl soname fixes
- added one more tclsh path fix to scriptpaths patch
- pass --enable-sam to build libtix sam on build, not install
- killed attr(-,...), strict deps, release 8

Revision 1.32  2004/01/29 22:00:47  jajcus
- Release: 7

Revision 1.31  2004/01/22 13:50:14  grzegol
- fixed aclocal invocations
- cosmetics

Revision 1.30  2003/08/25 20:34:59  mmazur
- rel 6 for ac

Revision 1.29  2003/07/31 08:11:56  djrzulf
- rebuild with new requires (rel 5),

Revision 1.28  2003/07/08 08:00:19  qboosh
- use _examplesdir macro

Revision 1.27  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.26  2003/06/17 19:16:16  qboosh
- fixed broken symlinks (use major not version), release 4

Revision 1.25  2003/06/16 13:01:02  wiget
- soname fix (like in tcl and tk)
- release 3
- build with tk 8.4.3 and tcl 8.4.3

Revision 1.24  2003/06/07 01:16:49  wiget
- fix for tcl/tk with soname

Revision 1.23  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 06:27:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.20  2003/02/12 12:43:06  trojan
- updated to 8.1.4

Revision 1.19  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.18  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.17  2002/03/02 04:49:29  kloczek
- release 2.

Revision 1.16  2002/03/01 22:16:47  misiek
BR: which

Revision 1.15  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.14  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/06 11:17:30  kloczek
- updated to 8.1.3 (new stable version).

Revision 1.12  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/08/10 23:44:19  kloczek
- release 5,
- rebuild in environment with fixed tk-devel,
- added automake, autoconf to BuildRequires.

Revision 1.10  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.9  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2000/12/23 00:48:47  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.7  2000/11/17 06:52:34  kloczek
- release 4,
- rebuild against tcl,tk 8.3.2,
- use new rpm automation.

Revision 1.6  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.3  1999/09/07 12:18:50  kloczek
- added BuildRequires rules.

Revision 1.2  1999/09/07 11:51:34  kloczek
- added Serial: 1 (because RH package have incorrect version number),
- added de translaition from BeroLinux spec,
- updated to 4.1.0.007,
- added autoconf whotch allow build tix without installed full source tcl
  and tk in $RPM_BUILD_ROOT/..,
- added devel and demo subpackages,
- added using %configure macro,
- added to %doc in devel full tix guilde in ps.

* Wed Jun 16 1999 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
- major changes -- buil for 1.3 PLD

* Sun Jan 31 1999 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
- added Group(pl),
  by Maciek Różycki <macro@ds2.amg.gda.pl>
- added small patch.

* Sun Nov 15 1998 Wojtek Ślusarczyk <wojtek@shadow.eu.org>
  [4.1.0-1d]
- build for Linux PLD,
- major changes.
